#include "nxp_kernel.h"
#include "sf.h"

void nxp_gsl_sf_airy_init(NxpEvalContext*);
void nxp_gsl_sf_bessel_init(NxpEvalContext*);
void nxp_gsl_sf_clausen_init(NxpEvalContext*);
void nxp_gsl_sf_coulomb_init(NxpEvalContext*);
void nxp_gsl_sf_coupling_init(NxpEvalContext*);
void nxp_gsl_sf_dawson_init(NxpEvalContext*);
void nxp_gsl_sf_debye_init(NxpEvalContext*);
void nxp_gsl_sf_dilog_init(NxpEvalContext*);
void nxp_gsl_sf_ellint_init(NxpEvalContext*);
void nxp_gsl_sf_elljac_init(NxpEvalContext*);
void nxp_gsl_sf_erf_init(NxpEvalContext*);
void nxp_gsl_sf_exp_init(NxpEvalContext*);
void nxp_gsl_sf_expint_init(NxpEvalContext*);
void nxp_gsl_sf_fermi_dirac_init(NxpEvalContext*);
void nxp_gsl_sf_gamma_init(NxpEvalContext*);
void nxp_gsl_sf_gegenbauer_init(NxpEvalContext*);
void nxp_gsl_sf_hyperg_init(NxpEvalContext*);
void nxp_gsl_sf_laguerre_init(NxpEvalContext*);
void nxp_gsl_sf_lambert_init(NxpEvalContext*);
void nxp_gsl_sf_legendre_init(NxpEvalContext*);
void nxp_gsl_sf_log_init(NxpEvalContext*);
void nxp_gsl_sf_psi_init(NxpEvalContext*);
void nxp_gsl_sf_synchrotron_init(NxpEvalContext*);
void nxp_gsl_sf_transport_init(NxpEvalContext*);
void nxp_gsl_sf_trig_init(NxpEvalContext*);
void nxp_gsl_sf_zeta_init(NxpEvalContext*);

void nxp_gsl_sf_init(NxpEvalContext *context)
{
    nxp_gsl_sf_airy_init(context);
    nxp_gsl_sf_bessel_init(context);
    nxp_gsl_sf_clausen_init(context);
    nxp_gsl_sf_coulomb_init(context);
    nxp_gsl_sf_coupling_init(context);
    nxp_gsl_sf_dawson_init(context);
    nxp_gsl_sf_debye_init(context);
    nxp_gsl_sf_dilog_init(context);
    nxp_gsl_sf_ellint_init(context);
    nxp_gsl_sf_elljac_init(context);
    nxp_gsl_sf_erf_init(context);
    nxp_gsl_sf_exp_init(context);
    nxp_gsl_sf_expint_init(context);
    nxp_gsl_sf_fermi_dirac_init(context);
    nxp_gsl_sf_gamma_init(context);
    nxp_gsl_sf_gegenbauer_init(context);
    nxp_gsl_sf_hyperg_init(context);
    nxp_gsl_sf_laguerre_init(context);
    nxp_gsl_sf_lambert_init(context);
    nxp_gsl_sf_legendre_init(context);
    nxp_gsl_sf_log_init(context);
    nxp_gsl_sf_psi_init(context);
    nxp_gsl_sf_synchrotron_init(context);
    nxp_gsl_sf_transport_init(context);
    nxp_gsl_sf_trig_init(context);
    nxp_gsl_sf_zeta_init(context);
}




