/* -*- c -*- */
#include <gsl/gsl_sf_airy.h>
#include "nxp_kernel.h"
#include "gsl.h"

static NxpElement *nxp_gsl_sf_clausen(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_clausen(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}


void
nxp_gsl_sf_clausen_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"clausen");
id = nxp_identifier_new_with_full_path(3,"gsl","clausen", "clausen");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_clausen, NULL, nxp_gsl_sf_clausen, context, NULL); nxp_identifier_unref(id);
}
